package net.knarcraft.minecraftserverlauncher.server;

import org.junit.jupiter.api.Test;

import javax.naming.ConfigurationException;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertFalse;

public class ServerTest {

    @Test
    public void fromStringTest() throws ConfigurationException {
        Server server = Server.fromString("asd;/home/;false;Bukkit;1.10.2;4G;");
        assertEquals("asd", server.getName());
        assertEquals("/home/", server.getPath());
        assertFalse(server.isEnabled());
        assertEquals("Bukkit", server.getTypeName());
        assertEquals("1.10.2", server.getServerVersion());
        assertEquals("4G", server.getMaxRam());
    }

}
